指定したプロジェクトの制限を設定します。このリソースを使用するには、リクエスト元のサービス アカウントまたは API キーにプロジェクト オーナー ロールが必要です。
注意: 以下の設定制限を増加させると、MongoDB Cloud UI のレスポンスタイムが遅くなったり、ユーザー管理のオーバーヘッドが増えて認証や承認の再設計が必要になったりする可能性があります。可能であれば、より持続可能な成長パターンのために、これらのリソースをより多く利用できるように追加のプロジェクトを作成することをお勧めします。
path パラメータ
-
このプロジェクトの制限を識別する、人間に判読可能なラベル。
制限名 説明 default API オーバーライド制限 atlas.project.deployment.clustersこのプロジェクトのクラスター数の制限 25 100 atlas.project.deployment.nodesPerPrivateLinkRegionこのプロジェクトのプライベート リンク リージョンあたりのノード数の制限 50 90 atlas.project.security.databaseAccess.customRolesこのプロジェクトのカスタムロールの数の制限 100 1400 atlas.project.security.databaseAccess.usersこのプロジェクトのデータベース ユーザー数の制限 100 100 atlas.project.security.networkAccess.crossRegionEntriesこのプロジェクトにおけるクロスリージョン ネットワーク アクセスエントリ数の制限 40 220 atlas.project.security.networkAccess.entriesこのプロジェクトのネットワークアクセスエントリ数の制限 200 20 dataFederation.bytesProcessed.query単一のデータフェデレーション クエリ中に処理されるバイト数の制限 該当なし 該当なし dataFederation.bytesProcessed.daily現在日にすべての Data Federation テナントで処理されるバイト数の制限 該当なし 該当なし dataFederation.bytesProcessed.weekly現在週にすべての Data Federation テナントで処理されるバイト数の制限 該当なし 該当なし dataFederation.bytesProcessed.monthly当月のすべての Data Federation テナントで処理されるバイト数の制限 該当なし 該当なし atlas.project.deployment.privateServiceConnectionsPerRegionGroupリージョン グループごとのプライベート サービス接続の数 50 100 atlas.project.deployment.privateServiceConnectionsSubnetMaskGCP PSC ネットワークのサブネット マスク。下限は 20 です。 27 27 値は
atlas.project.security.databaseAccess.users、atlas.project.deployment.clusters、atlas.project.deployment.serverlessMTMs、atlas.project.security.databaseAccess.customRoles、atlas.project.security.networkAccess.entries、atlas.project.security.networkAccess.crossRegionEntries、atlas.project.deployment.nodesPerPrivateLinkRegion、dataFederation.bytesProcessed.query、dataFederation.bytesProcessed.daily、dataFederation.bytesProcessed.weekly、dataFederation.bytesProcessed.monthly、atlas.project.deployment.privateServiceConnectionsPerRegionGroup、またはatlas.project.deployment.privateServiceConnectionsSubnetMask -
プロジェクトを識別する一意の 24 桁の 16 進数文字列。 認証済みユーザーがアクセスできるすべてのプロジェクトを取得するには、 /groups エンドポイントを使用します。
注: グループとプロジェクトは同義語です。そのため、グループ ID はプロジェクト ID と同じです。既存のグループの場合、グループ/プロジェクト ID は同じままです。リソースおよび対応するエンドポイントでは、グループという用語が使用されます。
形式は次のパターンと一致する必要があります:
^([a-f0-9]{24})$。
クエリ パラメータ
-
アプリケーションがレスポンスを
envelopeJSON オブジェクトにラップするかどうかを示すフラグ。一部の API クライアントは、HTTP レスポンス ヘッダーまたはステータス コードにアクセスできません。これを修正するには、クエリで envelope=true を設定します。結果のリストを返すエンドポイントは、結果オブジェクトをエンベロープとして使用します。アプリケーションは、レスポンス本体にステータス パラメータを追加します。デフォルト値は
falseです。 -
レスポンス本体を pretty-print 形式にするかどうかを示すフラグ。
デフォルト値は
falseです。Prettyprint
body
オブジェクト
必須
更新する制限。
応答
-
OK
次の 1 つ: atlas。プロジェクト.deployment.clustersオブジェクト atlas。プロジェクト.deployment.nodesPerPrivateLinkRegionオブジェクト atlas。プロジェクト.deployment.serverlessMTMsオブジェクト atlas。プロジェクト.security.databaseAccess.customRolesオブジェクト atlas。プロジェクト.security.databaseAccess.usersオブジェクト atlas。プロジェクト.security.networkAccess.crossRegionEntriesオブジェクト atlas。プロジェクト.security.networkAccess.entriesオブジェクト -
無効なリクエストです。
-
許可されていません。
-
Forbidden.
-
見つかりません。
-
競合。
-
内部サーバーエラー。
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/limits/{limitName}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"value":42,"name":"atlas.project.deployment.clusters"}'
{
"value": 42,
"name": "atlas.project.deployment.clusters"
}
{
"value": 42,
"name": "atlas.project.deployment.nodesPerPrivateLinkRegion"
}
{
"value": 42,
"name": "atlas.project.deployment.serverlessMTMs"
}
{
"value": 42,
"name": "atlas.project.security.databaseAccess.customRoles"
}
{
"value": 42,
"name": "atlas.project.security.databaseAccess.users"
}
{
"value": 42,
"name": "atlas.project.security.networkAccess.crossRegionEntries"
}
{
"value": 42,
"name": "atlas.project.security.networkAccess.entries"
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.clusters",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.nodesPerPrivateLinkRegion",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.serverlessMTMs",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.databaseAccess.customRoles",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.databaseAccess.users",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.networkAccess.crossRegionEntries",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.networkAccess.entries",
"value": 42
}
{
"error": 400,
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"reason": "Bad Request",
"errorCode": "VALIDATION_ERROR"
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 409,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"reason": "Conflict",
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}